# Command: FreeTimer

FreeTimer (timer_variable) Definition:

Destroys the timer specified and frees up its memory.

Parameter Description:

timer = any valid timer variable created with the CreateTimer command.

Command Description:

This command will destroy a timer variable created with the with the CreateTimer command and free the memory it was using. It is a good practice to destroy elements in your game you are no longer using.

Example:

; Create the timer to track speed frameTimer=CreateTimer(60) ; Your main screen draw loop While Not KeyHit(1) WaitTimer(frameTimer) ; Pause until the timer reaches 60 Cls ; Draw your screen stuff Flip Wend ; Kill the timer FreeTimer(frameTimer)

Index